"Inner" class that contains the definition of a new transaction element.

Transactions allow several files or blocks of statements to be executed using the same JDBC connection and commit operation in between.

package | phing.tasks.ext.creole

### Methods

## __construct()

    __construct($parent)

### Parameters

#### $parent

## addText()

    addText($sql)

### Parameters

#### $sql

## runTransaction()

    runTransaction($out)

### Parameters

#### $out

### Exceptions

`\IOException,` | SQLException

## setSrc()

    setSrc(\PhingFile $src)

### Parameters

#### $src

### Properties

##

    $parent

##

    $tSqlCommand

##

    $tSrcFile